package com.wasu.cs.mvp.IView;

import com.wasu.cs.mvp.model.AssetsDataModel;

import java.util.List;

/**
 * @Description: 生活屏接口
 * @Author: Danxingxi
 * @CreateDate: 2016/12/1 9:35
 */
public interface ILifeMvpView extends IMainMVPView {
    /**
     * 生活屏第一排第一个轮播数据获取
     *
     * @param mData
     */
    void getLoopDataSuccess(AssetsDataModel mData);

    /**
     * 生活屏第一排数据
     *
     * @param mData
     */
    void getDataSuccess1(List<AssetsDataModel> mData);

    /**
     * 生活屏第二排数据
     * @param mData
     */
    void getDataSuccess2(List<AssetsDataModel> mData);

    /**
     * 生活屏数据获取错误
     * @param errorCode
     * @param errorMsg
     */
    void getDataError(int errorCode, String errorMsg);
}
